Skip to main content

Patch User

PATCH/Users/{id}

Partially updates a user using SCIM patch operations. Commonly used to activate or deactivate a user by toggling the active attribute.

Path Parameters
idstringrequired
The unique identifier of the user.
Error Responses
400
Invalid PATCH operation or unsupported attribute.
401
Missing or invalid Authorization header.
403
SCIM provisioning not enabled or insufficient permissions.
404
User not found.
Request
curl -X PATCH "https://{your-domain}/api/scim/v2/Users/{id}" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'
Response — 200
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"id": "2819c223-7f76-453a-919d-413861904646",
"userName": "[email protected]",
"name": {
  "formatted": "Barbara Jensen",
  "familyName": "Jensen",
  "givenName": "Barbara"
},
"emails": [
  {
    "value": "[email protected]",
    "primary": true
  }
],
"active": true,
"meta": {
  "resourceType": "User",
  "created": "2024-01-23T04:56:22Z",
  "lastModified": "2024-05-13T04:42:34Z",
  "location": "https://{your-domain}/api/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"
}
}